<?= $this->extend('layout/dashboard') ?>

<?= $this->section('content') ?>

<style>
.info-box {
    box-shadow: 0 0 1px rgba(0,0,0,.125), 0 1px 3px rgba(0,0,0,.2);
    border-radius: 0.25rem;
    background-color: #fff;
    display: flex;
    margin-bottom: 1rem;
    min-height: 80px;
    padding: .5rem;
    position: relative;
    width: 100%;
}
.info-box .info-box-icon {
    border-radius: 0.25rem;
    align-items: center;
    display: flex;
    font-size: 1.875rem;
    justify-content: center;
    text-align: center;
    width: 70px;
}
.info-box .info-box-content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    line-height: 1.8;
    flex: 1;
    padding: 0 10px;
}
.info-box .info-box-number {
    display: block;
    margin-top: .25rem;
    font-weight: 700;
}
.bg-gradient-info {
    background: #17a2b8 linear-gradient(180deg,#3ab0c3,#17a2b8) repeat-x!important;
    color: #fff;
}
</style>

<div class="container-fluid">
    <h1 class="h3 mb-4 text-gray-800">Edit Request: <?= esc($request['unique_id'] ?? 'N/A') ?></h1>

    <form action="<?= base_url('requests/update/' . $request['id']) ?>" method="post">
        <?= csrf_field() ?>

        <div class="row">
            <div class="col-md-6">
                <div class="card shadow mb-4">
                    <div class="card-header py-3">
                        <h6 class="m-0 font-weight-bold text-primary">Basic Information</h6>
                    </div>
                    <div class="card-body">
                        <div class="form-group">
                            <label for="status">Status</label>
                            <select name="status" id="status" class="form-control">
                                <option value="new" <?= $request['status'] == 'new' ? 'selected' : '' ?>>New</option>
                                <option value="staff reply" <?= $request['status'] == 'staff reply' ? 'selected' : '' ?>>Staff Reply</option>
                                <option value="waiting for confirmation" <?= $request['status'] == 'waiting for confirmation' ? 'selected' : '' ?>>Waiting for Confirmation</option>
                                <option value="declined" <?= $request['status'] == 'declined' ? 'selected' : '' ?>>Declined</option>
                                <option value="confirmed" <?= $request['status'] == 'confirmed' ? 'selected' : '' ?>>Confirmed</option>
                            </select>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-md-6">
                <div class="card shadow mb-4">
                    <div class="card-header py-3">
                        <h6 class="m-0 font-weight-bold text-primary">Arrival Flight</h6>
                    </div>
                    <div class="card-body">
                        <div class="form-group">
                            <label for="arrival_flight">Flight</label>
                            <select name="arrival_flight" id="arrival_flight" class="form-control">
                                <?php foreach ($flights as $flight): ?>
                                    <option value="<?= $flight['id'] ?>" <?= $flight['id'] == $request['arrival_flight_id'] ? 'selected' : '' ?>>
                                        <?= esc($flight['flight_number']) ?> - <?= esc($flight['departure_city']) ?> to <?= esc($flight['arrival_city']) ?>
                                    </option>
                                <?php endforeach; ?>
                            </select>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <div class="card shadow mb-4">
                    <div class="card-header py-3">
                        <h6 class="m-0 font-weight-bold text-primary">Departure Flight</h6>
                    </div>
                    <div class="card-body">
                        <div class="form-group">
                            <label for="departure_flight">Flight</label>
                            <select name="departure_flight" id="departure_flight" class="form-control">
                                <?php foreach ($flights as $flight): ?>
                                    <option value="<?= $flight['id'] ?>" <?= $flight['id'] == $request['departure_flight_id'] ? 'selected' : '' ?>>
                                        <?= esc($flight['flight_number']) ?> - <?= esc($flight['departure_city']) ?> to <?= esc($flight['arrival_city']) ?>
                                    </option>
                                <?php endforeach; ?>
                            </select>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="card shadow mb-4">
            <div class="card-header py-3">
                <h6 class="m-0 font-weight-bold text-primary">Hotel Information</h6>
            </div>
            <div class="card-body">
        <?php if (isset($request['hotels']) && is_array($request['hotels']) && !empty($request['hotels'])): ?>
            <?php foreach ($request['hotels'] as $index => $hotel): ?>
                <div class="card mb-3">
                    <div class="card-body">
                        <input type="hidden" name="hotels[<?= $index ?>][id]" value="<?= $hotel['id'] ?? '' ?>">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Hotel</label>
                                    <select name="hotels[<?= $index ?>][hotel_id]" class="form-control">
                                        <?php foreach ($hotels as $h): ?>
                                            <option value="<?= $h['id'] ?>" <?= $h['id'] == $hotel['hotel_id'] ? 'selected' : '' ?>>
                                                <?= esc($h['name'] ?? 'Unnamed Hotel') ?>
                                            </option>
                                        <?php endforeach; ?>
                                    </select>
                                </div>
                                <div class="form-group">
                                    <label>Room Type</label>
                                    <select name="hotels[<?= $index ?>][room_id]" class="form-control">
                                        <?php foreach ($rooms as $room): ?>
                                            <option value="<?= $room['id'] ?>" <?= $room['id'] == $hotel['room_id'] ? 'selected' : '' ?>>
                                                <?= esc($room['name'] ?? $room['room_type'] ?? 'Unnamed Room Type') ?>
                                            </option>
                                        <?php endforeach; ?>
                                    </select>
                                </div>
                                        <div class="form-group">
                                            <label>Check-in</label>
                                            <input type="date" name="hotels[<?= $index ?>][check_in]" value="<?= $hotel['check_in'] ?? '' ?>" class="form-control">
                                        </div>
                                        <div class="form-group">
                                            <label>Check-out</label>
                                            <input type="date" name="hotels[<?= $index ?>][check_out]" value="<?= $hotel['check_out'] ?? '' ?>" class="form-control">
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Nights</label>
                                            <input type="number" name="hotels[<?= $index ?>][nights]" value="<?= $hotel['nights'] ?? '' ?>" class="form-control">
                                        </div>
                                        <div class="form-group">
                                            <label>Room Quantity</label>
                                            <input type="number" name="hotels[<?= $index ?>][room_quantity]" value="<?= $hotel['room_quantity'] ?? '' ?>" class="form-control">
                                        </div>
                                        <div class="form-check">
                                            <input type="checkbox" name="hotels[<?= $index ?>][extra_bed]" <?= (isset($hotel['extra_bed']) && $hotel['extra_bed']) ? 'checked' : '' ?> class="form-check-input">
                                            <label class="form-check-label">Extra Bed</label>
                                        </div>
                                        <div class="form-check">
                                            <input type="checkbox" name="hotels[<?= $index ?>][cwb]" <?= (isset($hotel['cwb']) && $hotel['cwb']) ? 'checked' : '' ?> class="form-check-input">
                                            <label class="form-check-label">CWB</label>
                                        </div>
                                        <div class="form-check">
                                            <input type="checkbox" name="hotels[<?= $index ?>][cnb]" <?= (isset($hotel['cnb']) && $hotel['cnb']) ? 'checked' : '' ?> class="form-check-input">
                                            <label class="form-check-label">CNB</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label>Notes</label>
                                    <textarea name="hotels[<?= $index ?>][notes]" class="form-control"><?= esc($hotel['notes'] ?? '') ?></textarea>
                                </div>
                            </div>
                        </div>
                    <?php endforeach; ?>
                <?php else: ?>
                    <p>No hotel information available.</p>
                <?php endif; ?>
            </div>
        </div>

        <div class="card shadow mb-4">
            <div class="card-header py-3">
                <h6 class="m-0 font-weight-bold text-primary">Passengers</h6>
            </div>
            <div class="card-body">
                <?php if (isset($request['passengers']) && is_array($request['passengers']) && !empty($request['passengers'])): ?>
                    <?php foreach ($request['passengers'] as $index => $passenger): ?>
                        <div class="card mb-3">
                            <div class="card-body">
                                <input type="hidden" name="passengers[<?= $index ?>][id]" value="<?= $passenger['id'] ?? '' ?>">
                                <div class="row">
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label>Name</label>
                                            <input type="text" name="passengers[<?= $index ?>][name]" value="<?= esc($passenger['name'] ?? '') ?>" class="form-control">
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label>Surname</label>
                                            <input type="text" name="passengers[<?= $index ?>][surname]" value="<?= esc($passenger['surname'] ?? '') ?>" class="form-control">
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label>Gender</label>
                                            <select name="passengers[<?= $index ?>][gender]" class="form-control">
                                                <option value="male" <?= (isset($passenger['gender']) && $passenger['gender'] == 'male') ? 'selected' : '' ?>>Male</option>
                                                <option value="female" <?= (isset($passenger['gender']) && $passenger['gender'] == 'female') ? 'selected' : '' ?>>Female</option>
                                            </select>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-check">
                                    <input type="checkbox" name="passengers[<?= $index ?>][is_adult]" <?= (isset($passenger['is_adult']) && $passenger['is_adult']) ? 'checked' : '' ?> class="form-check-input">
                                    <label class="form-check-label">Adult</label>
                                </div>
                                <div class="form-check">
                                    <input type="checkbox" name="passengers[<?= $index ?>][is_infant]" <?= (isset($passenger['is_infant']) && $passenger['is_infant']) ? 'checked' : '' ?> class="form-check-input">
                                    <label class="form-check-label">Infant</label>
                                </div>
                            </div>
                        </div>
                    <?php endforeach; ?>
                <?php else: ?>
                    <p>No passenger information available.</p>
                <?php endif; ?>
            </div>
        </div>

        <button type="submit" class="btn btn-primary">Update Request</button>
    </form>
</div>

<?= $this->endSection() ?>