<?= $this->extend('layout/dashboard') ?>

<?= $this->section('content') ?>

<style>
.timeline {
    list-style-type: none;
    padding: 0;
    position: relative;
}
.timeline:before {
    content: '';
    position: absolute;
    top: 0;
    bottom: 0;
    width: 4px;
    background: #ddd;
    left: 31px;
    margin: 0;
    border-radius: 2px;
}
.timeline > li {
    position: relative;
    margin-bottom: 15px;
}
.timeline > li:before,
.timeline > li:after {
    content: " ";
    display: table;
}
.timeline > li:after {
    clear: both;
}
.timeline > li > .timeline-item {
    box-shadow: 0 1px 3px rgba(0,0,0,0.1);
    border-radius: 3px;
    margin-top: 0;
    background: #fff;
    color: #444;
    margin-left: 60px;
    margin-right: 15px;
    padding: 0;
    position: relative;
}
.timeline > li > .fa {
    width: 30px;
    height: 30px;
    font-size: 15px;
    line-height: 30px;
    position: absolute;
    color: #666;
    background: #d2d6de;
    border-radius: 50%;
    text-align: center;
    left: 18px;
    top: 0;
}
.timeline-item > .timeline-header {
    margin: 0;
    color: #555;
    border-bottom: 1px solid #f4f4f4;
    padding: 10px;
    font-size: 16px;
    line-height: 1.1;
}
.timeline-item > .timeline-body, 
.timeline-item > .timeline-footer {
    padding: 10px;
}
.info-box {
    box-shadow: 0 0 1px rgba(0,0,0,.125), 0 1px 3px rgba(0,0,0,.2);
    border-radius: 0.25rem;
    background-color: #fff;
    display: flex;
    margin-bottom: 1rem;
    min-height: 80px;
    padding: .5rem;
    position: relative;
    width: 100%;
}
.info-box .info-box-icon {
    border-radius: 0.25rem;
    align-items: center;
    display: flex;
    font-size: 1.875rem;
    justify-content: center;
    text-align: center;
    width: 70px;
}
.info-box .info-box-content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    line-height: 1.8;
    flex: 1;
    padding: 0 10px;
}
.info-box .info-box-number {
    display: block;
    margin-top: .25rem;
    font-weight: 700;
}
.bg-gradient-info {
    background: #17a2b8 linear-gradient(180deg,#3ab0c3,#17a2b8) repeat-x!important;
    color: #fff;
}
</style>

<div class="container-fluid">
    <h1 class="h3 mb-4 text-gray-800">Request Details: <?= esc($request['unique_id'] ?? 'N/A') ?></h1>
    
    <div class="row">
        <div class="col-md-3 col-sm-6 col-12">
            <div class="info-box">
                <span class="info-box-icon bg-gradient-info"><i class="fas fa-user"></i></span>
                <div class="info-box-content">
                    <span class="info-box-text">Submitted By</span>
                    <span class="info-box-number"><?= esc($request['username'] ?? 'N/A') ?></span>
                </div>
            </div>
        </div>
        <div class="col-md-3 col-sm-6 col-12">
            <div class="info-box">
                <span class="info-box-icon bg-gradient-success"><i class="fas fa-calendar"></i></span>
                <div class="info-box-content">
                    <span class="info-box-text">Submission Date</span>
                    <span class="info-box-number"><?= isset($request['created_at']) ? date('Y-m-d H:i', strtotime($request['created_at'])) : 'N/A' ?></span>
                </div>
            </div>
        </div>
        <div class="col-md-3 col-sm-6 col-12">
            <div class="info-box">
                <span class="info-box-icon bg-gradient-warning"><i class="fas fa-flag"></i></span>
                <div class="info-box-content">
                    <span class="info-box-text">Status</span>
                    <span class="info-box-number">
                        <?php if (session()->get('role') == 'admin' || session()->get('role') == 'agent'): ?>
                            <select id="status" class="form-control form-control-sm">
                                <option value="new" <?= $request['status'] == 'new' ? 'selected' : '' ?>>New</option>
                                <option value="staff reply" <?= $request['status'] == 'staff reply' ? 'selected' : '' ?>>Staff Reply</option>
                                <option value="waiting for confirmation" <?= $request['status'] == 'waiting for confirmation' ? 'selected' : '' ?>>Waiting for Confirmation</option>
                                <option value="declined" <?= $request['status'] == 'declined' ? 'selected' : '' ?>>Declined</option>
                                <option value="confirmed" <?= $request['status'] == 'confirmed' ? 'selected' : '' ?>>Confirmed</option>
                            </select>
                        <?php else: ?>
                            <span class="badge bg-<?= $request['status'] == 'confirmed' ? 'success' : ($request['status'] == 'declined' ? 'danger' : 'warning') ?>">
                                <?= ucfirst($request['status']) ?>
                            </span>
                        <?php endif; ?>
                    </span>
                </div>
            </div>
        </div>
        <?php if (session()->get('role') == 'admin'): ?>
        <div class="col-md-3 col-sm-6 col-12">
            <div class="info-box">
                <span class="info-box-icon bg-gradient-danger"><i class="fas fa-cogs"></i></span>
                <div class="info-box-content">
                    <span class="info-box-text">Admin Actions</span>
                    <span class="info-box-number">
                        <a href="<?= base_url('requests/edit/' . ($request['id'] ?? '')) ?>" class="btn btn-warning btn-sm mr-2">Edit</a>
                        <button type="button" class="btn btn-danger btn-sm" data-toggle="modal" data-target="#deleteModal">Delete</button>
                    </span>
                </div>
            </div>
        </div>
        <?php endif; ?>
    </div>

    <div class="row">
        <div class="col-md-6">
            <div class="card shadow mb-4">
                <div class="card-header py-3">
                    <h6 class="m-0 font-weight-bold text-primary">Arrival Flight</h6>
                </div>
                <div class="card-body">
                    <p><strong>Flight Number:</strong> <?= esc($request['arrival_flight_number'] ?? 'N/A') ?></p>
                    <p><strong>From:</strong> <?= esc($request['arrival_flight_from'] ?? 'N/A') ?></p>
                    <p><strong>To:</strong> <?= esc($request['arrival_flight_to'] ?? 'N/A') ?></p>
                    <p><strong>Departure:</strong> <?= isset($request['arrival_flight_departure']) ? date('Y-m-d H:i', strtotime($request['arrival_flight_departure'])) : 'N/A' ?></p>
                    <p><strong>Arrival:</strong> <?= isset($request['arrival_flight_arrival']) ? date('Y-m-d H:i', strtotime($request['arrival_flight_arrival'])) : 'N/A' ?></p>
                </div>
            </div>
        </div>
        <div class="col-md-6">
            <div class="card shadow mb-4">
                <div class="card-header py-3">
                    <h6 class="m-0 font-weight-bold text-primary">Departure Flight</h6>
                </div>
                <div class="card-body">
                    <p><strong>Flight Number:</strong> <?= esc($request['departure_flight_number'] ?? 'N/A') ?></p>
                    <p><strong>From:</strong> <?= esc($request['departure_flight_from'] ?? 'N/A') ?></p>
                    <p><strong>To:</strong> <?= esc($request['departure_flight_to'] ?? 'N/A') ?></p>
                    <p><strong>Departure:</strong> <?= isset($request['departure_flight_departure']) ? date('Y-m-d H:i', strtotime($request['departure_flight_departure'])) : 'N/A' ?></p>
                    <p><strong>Arrival:</strong> <?= isset($request['departure_flight_arrival']) ? date('Y-m-d H:i', strtotime($request['departure_flight_arrival'])) : 'N/A' ?></p>
                </div>
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <div class="card shadow mb-4">
                <div class="card-header py-3">
                    <h6 class="m-0 font-weight-bold text-primary">Hotel Information</h6>
                </div>
                <div class="card-body">
                    <?php if (isset($request['hotels']) && is_array($request['hotels']) && !empty($request['hotels'])): ?>
                        <?php foreach ($request['hotels'] as $index => $hotel): ?>
                            <div class="card mb-3">
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col-md-6">
                                            <p><strong>Hotel:</strong> <?= esc($hotel['hotel_name'] ?? 'N/A') ?></p>
                                            <p><strong>Room Type:</strong> <?= esc($hotel['room_type'] ?? 'N/A') ?></p>
                                            <p><strong>Check-in:</strong> <?= $hotel['check_in'] ?? 'N/A' ?></p>
                                            <p><strong>Check-out:</strong> <?= $hotel['check_out'] ?? 'N/A' ?></p>
                                        </div>
                                        <div class="col-md-6">
                                            <p><strong>Nights:</strong> <?= $hotel['nights'] ?? 'N/A' ?></p>
                                            <p><strong>Room Quantity:</strong> <?= $hotel['room_quantity'] ?? 'N/A' ?></p>
                                            <p><strong>Extra Bed:</strong> <?= isset($hotel['extra_bed']) ? ($hotel['extra_bed'] ? 'Yes' : 'No') : 'N/A' ?></p>
                                            <p><strong>CWB:</strong> <?= isset($hotel['cwb']) ? ($hotel['cwb'] ? 'Yes' : 'No') : 'N/A' ?></p>
                                            <p><strong>CNB:</strong> <?= isset($hotel['cnb']) ? ($hotel['cnb'] ? 'Yes' : 'No') : 'N/A' ?></p>
                                        </div>
                                    </div>
                                    <p><strong>Notes:</strong> <?= esc($hotel['notes'] ?? 'N/A') ?></p>
                                </div>
                            </div>
                        <?php endforeach; ?>
                    <?php else: ?>
                        <p>No hotel information available.</p>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col-md-6">
            <div class="card shadow mb-4">
                <div class="card-header py-3">
                    <h6 class="m-0 font-weight-bold text-primary">Passengers</h6>
                </div>
                <div class="card-body">
                    <?php if (isset($request['passengers']) && is_array($request['passengers']) && !empty($request['passengers'])): ?>
                        <?php foreach ($request['passengers'] as $index => $passenger): ?>
                            <div class="card mb-2">
                                <div class="card-body py-2">
                                    <p class="mb-1"><strong><?= esc($passenger['name'] ?? 'N/A') ?> <?= esc($passenger['surname'] ?? '') ?></strong></p>
                                    <p class="mb-1">Gender: <?= ucfirst($passenger['gender'] ?? 'N/A') ?></p>
                                    <p class="mb-0">Type: <?= isset($passenger['is_adult']) ? ($passenger['is_adult'] ? 'Adult' : (isset($passenger['is_infant']) && $passenger['is_infant'] ? 'Infant' : 'Child')) : 'N/A' ?></p>
                                </div>
                            </div>
                        <?php endforeach; ?>
                    <?php else: ?>
                        <p>No passenger information available.</p>
                    <?php endif; ?>
                </div>
            </div>
        </div>
        <div class="col-md-6">
            <div class="card shadow mb-4">
                <div class="card-header py-3">
                    <h6 class="m-0 font-weight-bold text-primary">Activity Log</h6>
                </div>
                <div class="card-body">
                    <ul class="timeline timeline-inverse p-0">
                        <!-- Activity log will be loaded here -->
                    </ul>
                </div>
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <div class="card shadow mb-4">
                <div class="card-header py-3">
                    <h6 class="m-0 font-weight-bold text-primary">Messages</h6>
                </div>
                <div class="card-body">
                    <div id="messages">
                        <!-- Messages will be loaded here -->
                    </div>
                    <form id="replyForm" class="mt-3">
                        <div class="form-group">
                            <label for="message">Reply</label>
                            <textarea class="form-control" id="message" name="message" rows="3" required></textarea>
                        </div>
                        <div class="form-group">
                            <label for="attachment">Attachment</label>
                            <input type="file" class="form-control-file" id="attachment" name="attachment">
                        </div>
                        <button type="submit" class="btn btn-primary">Send Reply</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- Delete Modal -->
<div class="modal fade" id="deleteModal" tabindex="-1" role="dialog" aria-labelledby="deleteModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="deleteModalLabel">Confirm Delete</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                Are you sure you want to delete this request? This action cannot be undone.
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                <a href="<?= base_url('requests/delete/' . ($request['id'] ?? '')) ?>" class="btn btn-danger">Delete</a>
            </div>
        </div>
    </div>
</div>

<script>
$(document).ready(function() {
    loadMessages();
    loadActivityLog();

    $('#replyForm').submit(function(e) {
        e.preventDefault();
        var formData = new FormData(this);
        $.ajax({
            url: '<?= base_url("requests/reply/" . ($request['id'] ?? '')) ?>',
            type: 'POST',
            data: formData,
            processData: false,
            contentType: false,
            success: function(response) {
                console.log('Success response:', response);
                if (response.success) {
                    loadMessages();
                    loadActivityLog();
                    $('#message').val('');
                    $('#attachment').val('');
                } else {
                    console.error('Error in response:', response);
                    alert('Error sending reply: ' + (response.error || 'Unknown error'));
                }
            },
            error: function(xhr, status, error) {
                console.error('AJAX error:', status, error);
                console.error('Response text:', xhr.responseText);
                alert('An error occurred while sending reply. Please try again.');
            }
        });
    });

    $('#status').change(function() {
        $.post('<?= base_url("requests/updateStatus/" . ($request['id'] ?? '')) ?>', {
            status: $(this).val()
        }, function(response) {
            if (response.success) {
                alert('Status updated successfully');
                loadActivityLog();
            } else {
                alert('Error updating status. Please try again.');
            }
        });
    });
});

function loadMessages() {
    $.get('<?= base_url("requests/messages/" . ($request['id'] ?? '')) ?>', function(response) {
        if (response.success) {
            $('#messages').html(response.messages);
        } else {
            console.error('Error loading messages:', response);
            $('#messages').html('<p>Error loading messages. Please refresh the page.</p>');
        }
    }).fail(function(xhr, status, error) {
        console.error('AJAX error when loading messages:', status, error);
        $('#messages').html('<p>Error loading messages. Please refresh the page.</p>');
    });
}

function loadActivityLog() {
    $.get('<?= base_url("requests/activity/" . ($request['id'] ?? '')) ?>', function(response) {
        if (response.success) {
            $('.timeline').html(response.activities);
        } else {
            console.error('Error loading activity log:', response);
            $('.timeline').html('<p>Error loading activity log. Please refresh the page.</p>');
        }
    }).fail(function(xhr, status, error) {
        console.error('AJAX error when loading activity log:', status, error);
        $('.timeline').html('<p>Error loading activity log. Please refresh the page.</p>');
    });
}
</script>
<?= $this->endSection() ?>