<?= $this->extend('layout/dashboard') ?>

<?= $this->section('title') ?>Voucher Generator<?= $this->endSection() ?>

<?= $this->section('styles') ?>
<style>
    .card {
        border: none;
        border-radius: 10px;
        box-shadow: 0 0 20px rgba(0, 0, 0, 0.1);
    }
    .card-header {
        background-color: #4e73df;
        color: white;
        border-radius: 10px 10px 0 0;
    }
    .form-control, .custom-select {
        border-radius: 5px;
    }
    .btn-primary {
        background-color: #4e73df;
        border-color: #4e73df;
    }
    .btn-primary:hover {
        background-color: #2e59d9;
        border-color: #2e59d9;
    }
    .section-title {
        border-left: 4px solid #4e73df;
        padding-left: 10px;
    }
</style>
<?= $this->endSection() ?>

<?= $this->section('content') ?>
<div class="container-fluid">
    <h1 class="h3 mb-4 text-gray-800">Voucher Generator</h1>
    <form action="<?= base_url('requests/generateVoucher') ?>" method="post" id="voucherGeneratorForm">
        <div class="card mb-4">
            <div class="card-header">
                <h5 class="m-0 font-weight-bold">Generate New Voucher</h5>
            </div>
            <div class="card-body">
                <div class="form-group">
                    <label for="request_id">Request ID</label>
                    <input type="text" class="form-control" id="request_id" name="request_id" required>
                </div>

                <h5 class="section-title mt-4 mb-3">Flight Information</h5>
                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="arrival_flight">Arrival Flight</label>
                            <select class="form-control" id="arrival_flight" name="arrival_flight" required>
                                <option value="">Select Arrival Flight</option>
                                <?php foreach ($flights as $flight): ?>
                                    <option value="<?= $flight['id'] ?>"><?= $flight['flight_number'] ?> - <?= $flight['departure_city'] ?> to <?= $flight['arrival_city'] ?></option>
                                <?php endforeach; ?>
                            </select>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="departure_flight">Departure Flight</label>
                            <select class="form-control" id="departure_flight" name="departure_flight" required>
                                <option value="">Select Departure Flight</option>
                                <?php foreach ($flights as $flight): ?>
                                    <option value="<?= $flight['id'] ?>"><?= $flight['flight_number'] ?> - <?= $flight['departure_city'] ?> to <?= $flight['arrival_city'] ?></option>
                                <?php endforeach; ?>
                            </select>
                        </div>
                    </div>
                </div>

                <h5 class="section-title mt-4 mb-3">Hotel Information</h5>
                <div id="hotelSelections">
                    <div class="hotel-selection mb-3">
                        <div class="card">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label for="hotel">Hotel</label>
                                            <select class="form-control hotel-select" name="hotel[]" required>
                                                <option value="">Select Hotel</option>
                                                <?php foreach ($hotels as $hotel): ?>
                                                    <option value="<?= $hotel['id'] ?>"><?= $hotel['name'] ?></option>
                                                <?php endforeach; ?>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label for="room">Room Type</label>
                                            <select class="form-control room-select" name="room[]" required>
                                                <option value="">Select Room Type</option>
                                                <?php foreach ($roomTypes as $roomType): ?>
                                                    <option value="<?= $roomType['id'] ?>"><?= $roomType['name'] ?></option>
                                                <?php endforeach; ?>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label for="check_in">Check In</label>
                                            <input type="date" class="form-control" name="check_in[]" required>
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label for="check_out">Check Out</label>
                                            <input type="date" class="form-control" name="check_out[]" required>
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label for="nights">Nights</label>
                                            <input type="number" class="form-control" name="nights[]" required min="1">
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label for="room_quantity">Room Quantity</label>
                                            <input type="number" class="form-control" name="room_quantity[]" required min="1">
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <button type="button" class="btn btn-secondary" id="addHotel">Add Another Hotel</button>

                <h5 class="section-title mt-4 mb-3">Passenger Information</h5>
                <div id="passengerInfo">
                    <div class="passenger mb-3">
                        <div class="card">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label for="surname">Surname</label>
                                            <input type="text" class="form-control" name="surname[]" required>
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label for="name">Name</label>
                                            <input type="text" class="form-control" name="name[]" required>
                                        </div>
                                    </div>
                                    <div class="col-md-2">
                                        <div class="form-group">
                                            <label for="gender">Gender</label>
                                            <select class="form-control" name="gender[]" required>
                                                <option value="male">Male</option>
                                                <option value="female">Female</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-2">
                                        <div class="form-group">
                                            <label>&nbsp;</label>
                                            <div class="form-check mt-2">
                                                <input type="checkbox" class="form-check-input" id="is_adult_0" name="is_adult[]" checked>
                                                <label class="form-check-label" for="is_adult_0">Adult</label>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-2">
                                        <div class="form-group">
                                            <label>&nbsp;</label>
                                            <div class="form-check mt-2">
                                                <input type="checkbox" class="form-check-input" id="is_infant_0" name="is_infant[]">
                                                <label class="form-check-label" for="is_infant_0">Infant</label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <button type="button" class="btn btn-secondary" id="addPassenger">Add Another Passenger</button>

                <div class="mt-4">
                    <button type="submit" class="btn btn-primary btn-lg">Generate Voucher</button>
                </div>
            </div>
        </div>
    </form>
</div>

<?= $this->endSection() ?>

<?= $this->section('scripts') ?>
<script>
document.addEventListener('DOMContentLoaded', function() {
    function initializeSelects() {
        $('.hotel-select, .room-select').select2({
            theme: 'bootstrap4',
            width: '100%'
        });
    }

    initializeSelects();

    $('#addHotel').click(function() {
        var hotelCount = $('.hotel-selection').length;
        var newHotel = $('.hotel-selection').first().clone();
        newHotel.find('input').val('');
        newHotel.find('select').val('').trigger('change');
        $('#hotelSelections').append(newHotel);
        initializeSelects();
    });

    $('#addPassenger').click(function() {
        var passengerCount = $('.passenger').length;
        var newPassenger = $('.passenger').first().clone();
        newPassenger.find('input:not([type="checkbox"])').val('');
        newPassenger.find('select').val('');
        newPassenger.find('input[type="checkbox"]').prop('checked', false);
        
        // Update IDs for checkboxes
        newPassenger.find('input[type="checkbox"]').each(function() {
            var newId = $(this).attr('id').replace('_0', '_' + passengerCount);
            $(this).attr('id', newId);
            $(this).next('label').attr('for', newId);
        });
        
        $('#passengerInfo').append(newPassenger);
    });

    // Calculate nights automatically when check-in or check-out dates change
    $(document).on('change', 'input[name="check_in[]"], input[name="check_out[]"]', function() {
        var hotelCard = $(this).closest('.hotel-selection');
        var checkIn = new Date(hotelCard.find('input[name="check_in[]"]').val());
        var checkOut = new Date(hotelCard.find('input[name="check_out[]"]').val());
        
        if (!isNaN(checkIn.getTime()) && !isNaN(checkOut.getTime())) {
            var nights = Math.round((checkOut - checkIn) / (1000 * 60 * 60 * 24));
            hotelCard.find('input[name="nights[]"]').val(nights);
        }
    });
});
</script>
<?= $this->endSection() ?>