<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Booking Voucher</title>
    <style>
        body { font-family: Arial, sans-serif; }
        .header { background-color: #4a69bd; color: white; padding: 20px; text-align: center; }
        .content { padding: 20px; }
        .section { margin-bottom: 20px; }
        .section-title { background-color: #778ca3; color: white; padding: 5px 10px; }
        table { width: 100%; border-collapse: collapse; }
        th, td { border: 1px solid #ddd; padding: 8px; text-align: left; }
        th { background-color: #f2f2f2; }
    </style>
</head>
<body>
    <div class="header">
        <h1>Booking Voucher</h1>
    </div>
    <div class="content">
        <div class="section">
            <h2 class="section-title">Voucher Details</h2>
            <p><strong>RTQ ID:</strong> <?= $rtq['id'] ?></p>
            <p><strong>Request ID:</strong> <?= $request['unique_id'] ?></p>
            <p><strong>Booking Date:</strong> <?= date('Y-m-d', strtotime($request['created_at'])) ?></p>
        </div>

        <div class="section">
            <h2 class="section-title">Flight Information</h2>
            <p><strong>Arrival Flight:</strong> <?= $request['arrival_flight_number'] ?></p>
            <p><strong>Departure Flight:</strong> <?= $request['departure_flight_number'] ?></p>
        </div>

        <div class="section">
            <h2 class="section-title">Passenger Information</h2>
            <table>
                <tr>
                    <th>Name</th>
                    <th>Gender</th>
                    <th>Type</th>
                </tr>
                <?php foreach ($request['passengers'] as $passenger): ?>
                <tr>
                    <td><?= $passenger['name'] . ' ' . $passenger['surname'] ?></td>
                    <td><?= ucfirst($passenger['gender']) ?></td>
                    <td><?= $passenger['is_adult'] ? 'Adult' : ($passenger['is_infant'] ? 'Infant' : 'Child') ?></td>
                </tr>
                <?php endforeach; ?>
            </table>
        </div>

        <div class="section">
            <h2 class="section-title">Hotel Information</h2>
            <?php foreach ($hotels as $hotel): ?>
            <h3><?= $hotel['hotel_name'] ?></h3>
            <table>
                <tr>
                    <th>Room Type</th>
                    <td><?= $hotel['room_type'] ?></td>
                </tr>
                <tr>
                    <th>Check-in</th>
                    <td><?= $hotel['check_in'] ?></td>
                </tr>
                <tr>
                    <th>Check-out</th>
                    <td><?= $hotel['check_out'] ?></td>
                </tr>
                <tr>
                    <th>Nights</th>
                    <td><?= $hotel['nights'] ?></td>
                </tr>
                <tr>
                    <th>Room Quantity</th>
                    <td><?= $hotel['room_quantity'] ?></td>
                </tr>
            </table>
            <?php endforeach; ?>
        </div>
    </div>
</body>
</html>